let tab;
browser.tabs.query({active: true}).then(tabs => {
  tab = tabs[0];
});

document.all.textNode.onclick = () => {
  browser.tabs.executeScript(tab.id, {code: `
    var style = document.createElement('style');
    style.appendChild(document.createTextNode('* { color: red; }'));
    document.head.appendChild(style);
  `});
};

document.all.innerHTML.onclick = () => {
  browser.tabs.executeScript(tab.id, {code: `
    var style = document.createElement('style');
    style.innerHTML = 'body { font-size: 2em; }';
    document.head.appendChild(style);
  `});
};

document.all.insertCSS.onclick = () => {
  browser.tabs.insertCSS(tab.id, {code: `
    * { text-decoration: underline }
  `});
};